# RPM specfile for glade2 module
# Generated Tue Oct 29 10:03:17 2002 GMT by Ximian build system
# $Id: bb_do,v 1.190 2002/07/15 15:56:59 thunder Exp $
# from $Id: ximian-build.conf,v 1.3 2002/01/31 22:39:37 jacob Exp $

%define nam	glade2
%define ver	1.1.2.0.200210290744
%define ximrev	1

Name:     	glade2
Version: 	1.1.2.0.200210290744
Release:	0.snap.ximian.1
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 7.2 / i386
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

URL:		http://glade.pn.org/
Source0:	glade-1.1.2.tar.gz
Summary:	Tools for building GTK+ graphical interfaces
Group:		Development/Tools
Provides:	ximian-glade2 = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description

GLADE is a free user interface builder for GTK+ and GNOME. GLADE can
produce C source code; C++, Ada95, Python and Perl support is also
available, via external tools which process the XML interface
description files output by GLADE. GLADE supports most GTK+ 2.0
widgets. Support for styles, however, is not complete.



Install glade if you need an interface builder for GTK+ and GNOME.


%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL README NEWS TODO
/usr/bin/glade-2
/usr/share/applications/*
/usr/*/locale/*
/usr/share/glade-2
/usr/share/pixmaps/glade-2
/usr/share/pixmaps/glade-2.png


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n glade-1.1.2
    ;;
all)
%setup  -q -n glade-1.1.2
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install prefix=${DESTDIR}/usr sysconfdir=${DESTDIR}/etc mandir=${DESTDIR}/usr/share/man infodir=${DESTDIR}/usr/share/info localstatedir=${DESTDIR}/var
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Tue Oct 29 2002 Ximian, Inc.

- Version: 1.1.2.0.200210290744-0.snap.ximian.1
- Summary: New build.
- New automated build.

